org.eclipse.jface.bindings.keys

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jface.bindings.keys.ParseException

All Implemented Interfaces:
  Serializable

    public final class ParseException
    extends Exception

An exception indicating problems while parsing formal string representations of either `KeyStroke` or `KeySequence` objects.

`ParseException` objects are immutable. Clients are not permitted to extend this class.

Since:
  3.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParseException(String s)` Constructs a `ParseException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException(String s)

Constructs a `ParseException` with the specified detail message.

Parameters:
  `s` - the detail message.